<template>
  <a href="#" :class="`btn btn-${color} drop-menu`" @click.prevent
    ><i :class="icon"></i> {{ title }}
    <i v-if="caret" class="fas fa-caret-down"></i>
    <div class="drop-menu--content">
      <slot></slot>
    </div>
  </a>
</template>

<script>
export default {
  name: "DropdownMenu",
  props: {
    color: { type: String, default: "secondary" },
    icon: { type: String, default: "fas fa-rocket" },
    title: String,
    caret: { type: Boolean, default: true },
  },
};
</script>

<style lang="scss">
.drop-menu {
  position: relative;
  &--content {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0.25rem;
    background: white;
    color: black;
    padding: 0.5rem;
    margin-top: 0.5rem;
    list-style-type: none;
    min-width: 150%;

    a {
      width: 100%;

      i {
        float: left;
        vertical-align: middle;
        line-height: 1.3;
      }
    }
  }
  &:focus-within .drop-menu--content,
  &:focus .drop-menu--content {
    display: block;
    max-height: 200px;
    overflow-x: hidden;
    overflow-y: auto;
  }
}
</style>
